=== debian/changelog ===
pure-gen (0.18-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Wed, 17 Sep 2014 00:26:03 +0200

pure-gen (0.17-2) trusty; urgency=low

  * Upstream bugfix: pure-gen dumps core on illegal instruction, depending
    on the build host's cpu type. Prevent this by passing the
    -mcpu=generic option to llc when batch-compiling the script.

 -- Albert Graef <aggraef@gmail.com>  Mon, 15 Sep 2014 00:31:44 +0200

pure-gen (0.17-1) trusty; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Fri, 12 Sep 2014 12:37:09 +0200

pure-gen (0.16-1) precise; urgency=low

  * New upstream release

 -- Albert Graef <aggraef@gmail.com>  Thu, 19 Sep 2013 08:17:29 +0200

pure-gen (0.15-5) natty; urgency=low

  * Make 'make check' work with newer gcc versions

 -- Albert Graef <Dr.Graef@t-online.de>  Sun, 02 Dec 2012 20:17:20 +0100

pure-gen (0.15-4) natty; urgency=low

  * Sync revision between distros

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 11:50:57 +0200

pure-gen (0.15-3) natty; urgency=low

  * Make the package compile with both Language.C 0.3.x and 0.4.x

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 09:52:46 +0200

pure-gen (0.15-2) natty; urgency=low

  * Dependency fixes

 -- Albert Graef <Dr.Graef@t-online.de>  Mon, 28 May 2012 00:59:34 +0200

pure-gen (0.15-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 07:43:35 +0200
