=== debian/control ===
Source: pure-gen
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure, pure-dev, ghc, libghc-language-c-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-gen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gcc
Description: C bindings generator for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides the pure-gen utility which can generate
 Pure bindings for C functions from C header files.
